Bug 130616 - printer crash on CUPS start
printer crash on CUPS start
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-08-22 16:10 EDT by SA
Modified: 2015-01-04 17:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description SA 2004-08-22 16:10:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
My laserjet 1300 crashes around 1/2 the times CUPS starts.
This has happen for every stock RH kernel since RH 8.0.

It is a continuation of bug # 102069 first submitted in 10-8-2003
please refer to this older bug.

It appears to be a USB subsystem quirk with this printer.  The printer
also has a roughtly 1 in 40 chance per hour of crashing.  Once crashed
the power must be cycled to recover.  On rh *.0 and earlier there was
no problem.

Under k2.6 I get this kernel message when the printer crashes:

usb 2-2: control timeout on ep0in

uname -a
Linux ritalin 2.6.6-1.427.8kstacks-LJ #3 Thu Jul 15 13:09:32 BST 2004
i686 athlon i386 GNU/Linux

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the computer -or-
2. restart CUPS -or-
3. just wait

Actual Results:  printer crashes (all three panel lights come on and
printer is dead).

Expected Results:  nothing - printer should be fine

Additional info:
Comment 1 Arjan van de Ven 2004-08-22 16:12:25 EDT
ehhhhh that doesn't look like our kernel....
Comment 2 SA 2004-08-23 13:29:31 EDT
Well it is and it isn't...

The 8kstacks is an irrelevant kernel compile change to allow the older
version of the NVIDIA graphics driver to work - I get the same problem
with the stock version of the kernel. 

The -LJ tag refers to a kernel modification to add the "labjack"
device to the HID-CORE quirks list. 

Neither of these minor kernel changes affect the printer problem (or
the printer problem occurs with stock kernels as well).

I have had this problem for all the kernels I have used since RH 8.0.
Comment 3 Wayne Hammond 2004-08-24 19:59:52 EDT
I am having a similar problem with a color laser jet using IPP.  The
printer installs normally in root, then I can logon to my user account
and the printer is fine.  When I shutdown, the next restart, the
printer is gone.  I have been logging on to root and reinstalling.

A user in another group advised restarting cups.  This works. I have
Fedora Core 2 with all of the latest upgrades, freshly installed as of

This is the message I receive on sestarting cups:
[wdh@localhost wdh]$ su
[root@localhost wdh]# /etc/init.d/cups restart
Stopping cups:                                             [FAILED]
Starting cups: Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import backend
  File "/usr/share/printconf/util/backend.py", line 54, in ?
    which = cups_import.which_spooler ()
  File "/usr/share/printconf/util/cups_import.py", line 191, in
    which = l.split ('.')[1].strip ()
IndexError: list index out of range
                                                           [  OK  ]
[root@localhost wdh]#
Comment 4 Dave Jones 2005-04-16 01:33:42 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.